import { Provider } from './provider.js';
import { State } from './state.js';
/**
 * @inheritDoc
 * This specialization is always a Singleton.
 */
export class ConstantProvider extends Provider {
    constructor(constant) {
        super();
        this.singleton = State.MakeState(null, undefined, constant);
    }
    provideAsState() {
        return this.singleton;
    }
}
//# sourceMappingURL=constant-provider.js.map